#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kirigami-addons
Version:        1.2.1
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        LGPLv3
Summary:        Add-ons for the Kirigami framework
Url:            https://invent.kde.org/libraries/kirigami-addons
Source:         https://download.kde.org/stable/kirigami-addons/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6QuickTest)

BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Config)


%description
A set of "widgets" i.e visual end user components along with a
code to support them. Components are usable by both touch and
desktop experiences providing a native experience on both, and
look native with any QQC2 style (qqc2-desktop-theme, Material
or Plasma).

%files -f %{name}6.lang
%doc README.md
%license LICENSES/
%{_kf6_qmldir}/org/kde/kirigamiaddons/

#--------------------------------------------------------------------

%define libkirigamiaddons_dev %mklibname kf6kirigamiaddons -d

%package -n     %{libkirigamiaddons_dev}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       kf6kirigamiaddons-devel = %{version}-%{release}

%description -n %{libkirigamiaddons_dev}
This package contains header files needed if you wish to build
applications based on %{name}.

%files -n %{libkirigamiaddons_dev}
%{_kf6_libdir}/cmake/KF6KirigamiAddons/

#--------------------------------------------------------------------

%prep
%autosetup

%build
%if %mgaver >= 10
%ifarch %{ix86}
export CFLAGS="%{build_cflags} -mfpmath=sse -msse2"
export CXXFLAGS="%{build_cxxflags} -mfpmath=sse -msse2"
%endif
%endif
%cmake_kf6 -DBUILD_QCH=ON
%cmake_build

%install
%cmake_install

%find_lang %{name}6


%changelog
* Wed May 15 2024 daviddavid <daviddavid> 1.2.1-1.mga10
+ Revision: 2064340
- new version: 1.2.1

* Sun May 12 2024 daviddavid <daviddavid> 1.2.0-1.mga10
+ Revision: 2063827
- new version: 1.2.0

* Tue Apr 02 2024 daviddavid <daviddavid> 1.1.0-1.mga10
+ Revision: 2053942
- new version 1.1.0

* Wed Feb 28 2024 daviddavid <daviddavid> 1.0.1-1.mga10
+ Revision: 2045452
- New version 1.0.1
- new version: 1.0.0

* Fri Jan 12 2024 daviddavid <daviddavid> 0.11.90-1.mga10
+ Revision: 2030232
- new version 0.11.90

* Fri Nov 24 2023 daviddavid <daviddavid> 0.11.76-1.mga10
+ Revision: 2009493
- new version: 0.11.76

* Sun Nov 12 2023 daviddavid <daviddavid> 0.11.75-1.mga10
+ Revision: 2006364
- new version: 0.11.75
- switch to Qt6/KF6

* Thu Aug 31 2023 daviddavid <daviddavid> 0.11.0-1.mga10
+ Revision: 1982384
- new version: 0.11.0

* Fri May 26 2023 daviddavid <daviddavid> 0.8.0-1.mga9
+ Revision: 1958536
- new version: 0.8.0

* Wed Mar 08 2023 daviddavid <daviddavid> 0.7.2-1.mga9
+ Revision: 1948411
- new version: 0.7.2

* Sat Mar 04 2023 daviddavid <daviddavid> 0.7.1-1.mga9
+ Revision: 1947038
- New version 0.7.1

* Sun Jan 29 2023 daviddavid <daviddavid> 0.7.0-1.mga9
+ Revision: 1936905
- new version: 0.7.0

* Mon Jan 09 2023 daviddavid <daviddavid> 0.6.2-1.mga9
+ Revision: 1931915
- New version 0.6.2

* Tue Dec 13 2022 daviddavid <daviddavid> 0.6.1-1.mga9
+ Revision: 1921466
- new version: 0.6.1

* Fri Dec 02 2022 daviddavid <daviddavid> 0.6-1.mga9
+ Revision: 1913966
- initial package kirigami-addons

